Bug 112625 - RFE: add lzo compression to RPM , and possibly library package to distribution generally
RFE: add lzo compression to RPM , and possibly library package to distributi...
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-12-24 15:55 EST by R P Herrold
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-14 22:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-12-24 15:55:06 EST
The small, fast, and GPL compression libraries of 'lzo' seem a likely
candidate for integration into RPM, and perhaps more broadly.

Home site: as in URL field

From its description:

LZO is a portable lossless data compression library written in ANSI C.
It implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- Compression is pretty fast.
- Requires 64 kB of memory for compression.
- Allows you to dial up extra compression at a speed cost in the
  compressor. The speed of the decompressor is not reduced.
- Includes compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- There is also a compression level which needs only 8 kB for
- Supports overlapping compression and in-place decompression.
- Algorithm is thread safe.
- Algorithm is lossless.


as a library, it is used in the OpenVPN project, for fast inline
compression -- the author has a companion gzip project as well.  RPM
is interested in these virtues, and it is worth consideration.

I have had a packaging for over a year, which builds on x86, sparc32
and PPC without issue (back into the RHL 6 era hosts I still have) at:

Nice stuff, worthy of inclusion.
Comment 1 Jesse Keating 2004-01-26 18:08:41 EST
I have been building LZO packages myself for a while as well, for RHL
7.2-FC1, as part of the dep tree of Mondo Rescue.  I also build it's
counter-part, lzop.  Here are links to generic RPMS for these:



Comment 2 Leonard den Ottolander 2004-04-13 09:26:58 EDT
Does this algorithm always give identical output on identical input?
This is relevant if deltaing of rpms is ever going to get implemented.
Signing of deltas requires that the generated compressed output is
always identical on the same input.
Comment 3 R P Herrold 2006-07-14 22:34:08 EDT
two years in NEW status -- no sense in keeping open -- closing

Note You need to log in before you can comment on or make changes to this bug.